
Base Distribution - Story # 40305

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Content Editing
Created: 2012-08-28 Assigned To: Aske Ertmann
Updated: 2014-06-16 Due date:
Subject: As a Content Editor I want to easily distinguish place holder texts in new content elements from actual 

content; placeholder text should disappear once I start to type.
Description

Associated revisions
Revision 9a18fa95 - 2014-06-16 15:23 - Aske Ertmann

[FEATURE] Placeholder support for inline editable properties

Instead of using a default value to ensure that the editor can
edit the inline editable properties, it's now possible to define
a placeholder text that will be shown if the property is empty.

Example configuration::
'TYPO3.Neos.NodeTypes:Text':
    properties:
      text:
        type: string
        ui:
          inlineEditable: TRUE
          aloha:
            placeholder: 'Enter text here'

Change-Id: Ia5b05f0281cd14595a0e65d00de471215d154d93
Resolves: #40305
Releases: master
Reviewed-on: https://review.typo3.org/29929
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

Revision 1343b59c - 2014-06-16 15:24 - Aske Ertmann

[FEATURE] Make title inline editable for chapter pages

As an example of using inline properties directly on the page,
the page title is turned into an inline editable property of
the chapter page. This also demonstrates the placeholder feature.

Change-Id: Iaec345ac5628a81ccb6cf6d413f3e1b8c2c4202d
Related: #40305
Releases: master
Reviewed-on: https://review.typo3.org/30338
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

History
#1 - 2014-05-08 01:23 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#2 - 2014-05-08 01:34 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#3 - 2014-05-08 01:59 - Aske Ertmann
- Category set to Content Editing
- Status changed from New to Accepted
- Assigned To set to Aske Ertmann
- Target version set to 1.1
- % Done changed from 0 to 100

#4 - 2014-05-13 15:10 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#5 - 2014-05-13 15:31 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#6 - 2014-05-13 20:03 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#7 - 2014-05-19 11:42 - Aske Ertmann
- Status changed from Accepted to Rejected

#8 - 2014-05-19 11:43 - Aske Ertmann
- Status changed from Rejected to Accepted

#9 - 2014-05-22 19:11 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.

2015-08-03 2/4

https://review.typo3.org/29929
https://review.typo3.org/29929
https://review.typo3.org/29929
https://review.typo3.org/29929
https://review.typo3.org/29929


It is available at https://review.typo3.org/29929

#10 - 2014-05-22 19:23 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#11 - 2014-05-22 19:25 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#12 - 2014-05-22 19:55 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#13 - 2014-05-22 19:55 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#14 - 2014-05-22 20:02 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#15 - 2014-05-23 12:45 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#16 - 2014-05-23 12:47 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#17 - 2014-05-23 13:59 - Gerrit Code Review

Patch set 14 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#18 - 2014-06-11 17:02 - Gerrit Code Review
Patch set 15 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#19 - 2014-06-16 13:51 - Gerrit Code Review

Patch set 16 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29929

#20 - 2014-06-16 15:37 - Aske Ertmann
- Status changed from Accepted to Resolved

Applied in changeset commit:9a18fa95152bbfd3741414467df6f33caf9e9f30.
